Subject: bug#29104: [PATCH]: xterm-mouse-mode clicks in the modeline dont use the keymap properties of the modeline strings

From: Stefan Monnier <[email-masked]>
Date: Sat, 18 Nov 2017 09:43:30 -0500

>> This patch (#29104) addresses (2). It does not implement a new feature,
>> but tries to make a bugfix to keyboard.c:read_key_sequence. This
>> function is a 900 lines nightmare of spaggheti code, full of global
>> state and goto's. At least it is somehow documented.

Oh, yes, the number of lines has fluctuated a bit, but it's been
a nightmare ever since I first saw it.  I'm impressed you found the
stamina to dig into it.

> Stefan, any comments?  I'm thinking of installing this on master.

I'll take a look at it later this week-end (it will take some time for
me to re-understand the code ;-)

        Stefan